Package org.jbpm.services.task.audit.jms

## Class AsyncTaskLifeCycleEventReceiver

- java.lang.Object
- - org.jbpm.services.task.audit.jms.AsyncTaskLifeCycleEventReceiver

- All Implemented Interfaces:
    `javax.jms.MessageListener`

      public class AsyncTaskLifeCycleEventReceiver
      extends Object
      implements javax.jms.MessageListener

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AsyncTaskLifeCycleEventReceiver​(javax.persistence.EntityManagerFactory entityManagerFactory)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected AuditTaskImpl` | `getAuditTask​(javax.persistence.EntityManager em, long taskId)` |
    `javax.persistence.EntityManager` | `getEntityManager()` |
    `javax.persistence.EntityManagerFactory` | `getEntityManagerFactory()` |
    `void` | `onMessage​(javax.jms.Message message)` |
    `void` | `setEntityManagerFactory​(javax.persistence.EntityManagerFactory entityManagerFactory)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncTaskLifeCycleEventReceiver

          public AsyncTaskLifeCycleEventReceiver​(javax.persistence.EntityManagerFactory entityManagerFactory)

  - ### Method Detail

    - #### onMessage

          public void onMessage​(javax.jms.Message message)

      Specified by:
        `onMessage` in interface `javax.jms.MessageListener`

    - #### getEntityManagerFactory

          public javax.persistence.EntityManagerFactory getEntityManagerFactory()

    - #### setEntityManagerFactory

          public void setEntityManagerFactory​(javax.persistence.EntityManagerFactory entityManagerFactory)

    - #### getEntityManager

          public javax.persistence.EntityManager getEntityManager()

    - #### getAuditTask

          protected AuditTaskImpl getAuditTask​(javax.persistence.EntityManager em,
                                               long taskId)